"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const checkMarkerInSeries = require("./checkMarkerInSeries.js");
const MarkAreaModel = require("./MarkAreaModel.js");
const MarkAreaView = require("./MarkAreaView.js");
function install(registers) {
  registers.registerComponentModel(MarkAreaModel.default);
  registers.registerComponentView(MarkAreaView.default);
  registers.registerPreprocessor(function(opt) {
    if (checkMarkerInSeries.default(opt.series, "markArea")) {
      opt.markArea = opt.markArea || {};
    }
  });
}
exports.install = install;
